Package ghidra.app.util.viewer.field

# Class GhidraServerURLAnnotatedStringHandler

java.lang.Object
ghidra.app.util.viewer.field.URLAnnotatedStringHandler
ghidra.app.util.viewer.field.GhidraServerURLAnnotatedStringHandler

All Implemented Interfaces:
  `AnnotatedStringHandler`, `ExtensionPoint`

public class GhidraServerURLAnnotatedStringHandler extends URLAnnotatedStringHandler
This implementation expands `URLAnnotatedStringHandler` providing an example form of a Ghidra Server URL.

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.viewer.field.AnnotatedStringHandler

  `DUMMY_MOUSE_HANDLER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GhidraServerURLAnnotatedStringHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayString()`
  Returns the String that represents the GUI presence of this option
  `String`
  `getPrototypeString()`
  Returns an example string of how the annotation is used

  ### Methods inherited from class ghidra.app.util.viewer.field.URLAnnotatedStringHandler

  `createAnnotatedString, getPrototypeString, getSupportedAnnotations, handleMouseClick`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GhidraServerURLAnnotatedStringHandler

    public GhidraServerURLAnnotatedStringHandler()

- ## Method Details

  - ### getDisplayString

    public String getDisplayString()
    Description copied from interface: `AnnotatedStringHandler`
    Returns the String that represents the GUI presence of this option
    Specified by:
      `getDisplayString` in interface `AnnotatedStringHandler`
    Overrides:
      `getDisplayString` in class `URLAnnotatedStringHandler`
    Returns:
      the String to display in GUI components.

  - ### getPrototypeString

    public String getPrototypeString()
    Description copied from interface: `AnnotatedStringHandler`
    Returns an example string of how the annotation is used
    Specified by:
      `getPrototypeString` in interface `AnnotatedStringHandler`
    Overrides:
      `getPrototypeString` in class `URLAnnotatedStringHandler`
    Returns:
      the example of how this is used.